Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | Related Functions | List of all members
ranges::views::delimit_fn Struct Reference
Inheritance diagram for ranges::views::delimit_fn:

## Public Member Functions
template<typename Val >
constexpr auto | operator() (Val value) const
Public Member Functions inherited from ranges::views::delimit_base_fn
template<typename I_ , typename Val , typename I = detail::decay_t<I_>> requires (!range<I_>) && convertible_to<I_, I> && input_iterator<I> && semiregular<Val> && equality_comparable_with<Val, iter_reference_t<I>>
constexpr auto | operator() (I_ &&begin_, Val value) const -> delimit_view< subrange< I, unreachable_sentinel_t >, Val >
template<typename Rng , typename Val > requires viewable_range<Rng> && input_range<Rng> && semiregular< Val> && equality_comparable_with<Val, range_reference_t<Rng>>
constexpr auto | operator() (Rng &&rng, Val value) const -> delimit_view< all_t< Rng >, Val >

## Related Functions
(Note that these are not member functions.)
constexpr delimit_fn | delimit {}